#ifndef _IPTEST_H
#define _IPTEST_H

#include <stdio.h>
#include <windows.h>
#include <assert.h>
#include "iphlpapi.h"
#include "iprtrmib.h"

//void PrintIpForwardTable(PMIB_IPFORWARDTABLE pIpRouteTable);

DWORD MyGetIpAddrTable(PMIB_IPADDRTABLE& pIpAddrTable, BOOL fOrder = FALSE);
DWORD MyGetIpForwardTable(PMIB_IPFORWARDTABLE& pIpRouteTab, BOOL fOrder = FALSE);
bool InterfaceIdxToInterfaceIp(PMIB_IPADDRTABLE pIpAddrTable, DWORD dwIndex, char str[]);
bool InterfaceIpToIdxAndMask(PMIB_IPADDRTABLE pIpAddrTable, char str[], DWORD& dwIndex, DWORD& dwMask);
void DoGetIpForwardTable();
void CreateEntry(char* pszDest, char* pszNetMask, char* pszGateway, char* pszInterface, DWORD dwMetric = 1);
void DeleteEntry(char* pszDest);
#endif